SDL_copysignf(3)

NAME
SDL_copysignf - Copy the sign of one floating-point value to another.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_copysignf(float x, float y);

DESCRIPTION
The definition of copysign is that copysign(x, y) = abs(x) * sign(y) . Domain: -INF<=x<=INF , -INF <= y <= f Range: -INF<=z<=INF This function operates on single-precision floating point values, use SDL_copysign
 for double-precision floats.

FUNCTION PARAMETERS

x   floating point value to use as the magnitude

y   floating point value to use as the sign

RETURN VALUE
Returns the floating point value with the sign of y and the magnitude of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_copysignf(3), SDL_fabsf(3)